Page MenuHomePhabricator

Remove AjaxDispatcher use from CategoryTree
Closed, ResolvedPublic

Event Timeline

TheDJ created this task.Mar 15 2015, 11:41 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2015, 11:41 PM

Still being used as of 2015:
https://github.com/wikimedia/mediawiki-extensions-CategoryTree/blob/3650d12/CategoryTree.php#L132

Raising priority. This has been deprecated for many years now. This will be removed in a future MediaWiki release.

Krinkle triaged this task as High priority.Mar 26 2015, 7:21 AM
Krinkle set Security to None.
Krenair renamed this task from Remove AjaxDispatcher from CategoryTree to Remove AjaxDispatcher use from CategoryTree.May 20 2015, 2:01 PM
Krenair claimed this task.May 20 2015, 5:37 PM

Change 212307 had a related patch set uploaded (by Alex Monk):
Use an API module instead of the old (to be removed) ajax functions

https://gerrit.wikimedia.org/r/212307

Change 212307 merged by jenkins-bot:
Use an API module instead of the old (to be removed) ajax functions

https://gerrit.wikimedia.org/r/212307

Krenair closed this task as Resolved.Jan 31 2016, 5:38 PM
Krenair added a subscriber: Legoktm.

Thanks to @Legoktm, this is now done.